Bug 188991 - [PATCH] math/py-ffc: stage
Summary: [PATCH] math/py-ffc: stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-25 13:20 UTC by Bartek Rutkowski
Modified: 2014-04-26 21:50 UTC (History)
1 user (show)

See Also:


Attachments
py-ffc-1.2.0.patch (1.09 KB, patch)
2014-04-25 13:20 UTC, Bartek Rutkowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bartek Rutkowski freebsd_committer 2014-04-25 13:20:00 UTC
- Stage
- Remove man pages from Makefile
- Pet portlint

http://poudriere.ithil.palantiri.org:8080/latest-per-pkg/py27-ffc/1.2.0/

Port maintainer (jwbacon@tds.net) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.23 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-04-25 13:20:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-04-25 13:20:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2014-04-25 13:20:09 UTC
Maintainer of math/py-ffc,

Please note that PR ports/188991 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188991

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Jason W. Bacon freebsd_committer 2014-04-25 20:17:44 UTC
]
Approved.

On 04/25/14 07:20, Edwin Groothuis wrote:
> Maintainer of math/py-ffc,
>
> Please note that PR ports/188991 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/188991
>
Comment 5 dfilter service freebsd_committer 2014-04-26 21:42:28 UTC
Author: swills
Date: Sat Apr 26 20:42:24 2014
New Revision: 352368
URL: http://svnweb.freebsd.org/changeset/ports/352368
QAT: https://qat.redports.org/buildarchive/r352368/

Log:
  - Stage
  - Pet portlint
  
  PR:		ports/188991
  Submitted by:	Bartek Rutkowski <ports@robakdesign.com>
  Approved by:	Jason Bacon <jwbacon@tds.net> (maintainer)

Modified:
  head/math/py-ffc/Makefile
  head/math/py-ffc/pkg-descr
  head/math/py-ffc/pkg-plist

Modified: head/math/py-ffc/Makefile
==============================================================================
--- head/math/py-ffc/Makefile	Sat Apr 26 19:31:10 2014	(r352367)
+++ head/math/py-ffc/Makefile	Sat Apr 26 20:42:24 2014	(r352368)
@@ -16,12 +16,8 @@ USE_PYTHON=	2
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_PKGNAME=	FFC
 
-MAN1=		ffc.1
-MANCOMPRESSED=	yes
-
 MMVERSION=	1.2
 
-NO_STAGE=	yes
 post-patch:
 	${REINPLACE_CMD} -i '' -e 's|os.path.join(os.path.sep, "usr")|os.path.normpath("${PREFIX}")|' \
 		 ${WRKSRC}/test/regression/test.py

Modified: head/math/py-ffc/pkg-descr
==============================================================================
--- head/math/py-ffc/pkg-descr	Sat Apr 26 19:31:10 2014	(r352367)
+++ head/math/py-ffc/pkg-descr	Sat Apr 26 20:42:24 2014	(r352368)
@@ -1,4 +1,4 @@
 FFC works as a compiler for multilinear forms by generating code (C++) for
 the evaluation of a multilinear form given in mathematical notation.
 
-WWW:	https://launchpad.net/ffc
+WWW: https://launchpad.net/ffc

Modified: head/math/py-ffc/pkg-plist
==============================================================================
--- head/math/py-ffc/pkg-plist	Sat Apr 26 19:31:10 2014	(r352367)
+++ head/math/py-ffc/pkg-plist	Sat Apr 26 20:42:24 2014	(r352368)
@@ -1,4 +1,5 @@
 bin/ffc
+man/man1/ffc.1.gz
 %%PYTHON_SITELIBDIR%%/ffc/__init__.py
 %%PYTHON_SITELIBDIR%%/ffc/__init__.pyc
 %%PYTHON_SITELIBDIR%%/ffc/__init__.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Steve Wills freebsd_committer 2014-04-26 21:42:35 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!